> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get a vendor

`GET https://api.pagerduty.com/vendors/{id}`

Get details about one specific vendor.

A PagerDuty Vendor represents a specific type of integration. AWS Cloudwatch, Splunk, Datadog are all examples of vendors

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#vendors)

Scoped OAuth requires: `vendors.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The vendor requested

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `vendor` | array of object | yes |  |
| `vendor[].id` | string |  | Read-only. |
| `vendor[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `vendor[].type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `vendor[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `vendor[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `vendor[].name` | string |  | The short name of the vendor. Read-only. |
| `vendor[].website_url` | string (url) |  | URL of the vendor's main website. Read-only. |
| `vendor[].logo_url` | string (url) |  | URL of a logo identifying the vendor. Read-only. |
| `vendor[].thumbnail_url` | string (url) |  | URL of a small thumbnail image identifying the vendor. Read-only. |
| `vendor[].description` | string |  | A short description of this vendor, and common use-cases of integrations for this vendor. Read-only. |
| `vendor[].integration_guide_url` | string (url) |  | URL of an integration guide for this vendor. Read-only. |

Example: Response Example

```json
{
  "vendor": [
    {
      "id": "PZQ6AUS",
      "type": "vendor",
      "summary": "Amazon CloudWatch",
      "self": "https://api.pagerduty.com/vendors/PZQ6AUS",
      "name": "Amazon CloudWatch",
      "website_url": "https://aws.amazon.com/cloudwatch",
      "logo_url": "https://s3.amazonaws.com/pdpartner/cloudwatch_large.png",
      "thumbnail_url": "https://s3.amazonaws.com/pdpartner/cloudwatch_thumb.png",
      "description": "Amazon Web Services CloudWatch provides monitoring for AWS cloud resources and customer-run applications. AWS can collect data, gain insight, and alert users to fix problems within applications and organizations. AWS CloudWatch gives system-wide visibility into resource utilization and notifications can be set for when any metrics cross a specified threshold.",
      "integration_guide_url": "http://www.pagerduty.com/docs/guides/aws-cloudwatch-integration-guide/"
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
